org.apache.jmeter.threads

## Class ListenerNotifier

- java.lang.Object
- - org.apache.jmeter.threads.ListenerNotifier

-     public class ListenerNotifier
      extends java.lang.Object

  Processes sample events.
  The current implementation processes events in the calling thread using `notifyListeners(SampleEvent, List)`
  Thread safe class

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListenerNotifier()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `notifyListeners(SampleEvent res, java.util.List<SampleListener> listeners)` Notify a list of listeners that a sample has occurred.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListenerNotifier

          public ListenerNotifier()

  - ### Method Detail

    - #### notifyListeners

          public void notifyListeners(SampleEvent res,
                                      java.util.List<SampleListener> listeners)

      Notify a list of listeners that a sample has occurred.
      Parameters:
        `res` - the sample event that has occurred. Must be non-null.
        `listeners` - a list of the listeners which should be notified. This list must not be null and must contain only SampleListener elements.

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.